org.bouncycastle.crypto.engines

## Class AESWrapEngine

- java.lang.Object
- - org.bouncycastle.crypto.engines.RFC3394WrapEngine
  - - org.bouncycastle.crypto.engines.AESWrapEngine

All Implemented Interfaces:
  Wrapper

    public class AESWrapEngine
    extends RFC3394WrapEngine

an implementation of the AES Key Wrapper from the NIST Key Wrap Specification.

For further details see: http://csrc.nist.gov/encryption/kms/key-wrap.pdf.

### Constructor Summary

Constructors
Constructor and Description
`AESWrapEngine()`

### Method Summary

### Methods inherited from class org.bouncycastle.crypto.engines.RFC3394WrapEngine

`getAlgorithmName, init, unwrap, wrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AESWrapEngine

    public AESWrapEngine()